graphics/py-dot - The NetBSD Packages Collection

Python interface to Graphviz's Dot language

allows to easily create both directed and non directed graphs from Python.
Currently all attributes implemented in the Dot language are supported (up to
Graphviz 2.26.3).

Output can be inlined in Postscript into interactive scientific environments
like TeXmacs, or output in any of the format's supported by the Graphviz tools
dot, neato, twopi.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

graphics/graphviz devel/py-pyparsing devel/py-setuptools lang/python38 lang/python38

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-dot-1.4.1.tgz
NetBSD 8.0earmv7hfpy36-dot-1.4.1.tgz
NetBSD 8.0earmv7hfpy37-dot-1.4.1.tgz
NetBSD 8.0earmv7hfpy38-dot-1.4.1.tgz
NetBSD 8.0earmv7hfpy39-dot-1.4.1.tgz
NetBSD 8.0earmv7hfpy37-dot-1.4.1.tgz
NetBSD 8.0earmv7hfpy27-dot-1.4.2.tgz
NetBSD 8.0earmv7hfpy36-dot-1.4.2.tgz
NetBSD 8.0earmv7hfpy37-dot-1.4.2.tgz
NetBSD 8.0earmv7hfpy38-dot-1.4.2.tgz
NetBSD 8.0earmv7hfpy39-dot-1.4.2.tgz
NetBSD 8.0i386py27-dot-1.4.1.tgz
NetBSD 8.0i386py36-dot-1.4.1.tgz
NetBSD 8.0i386py37-dot-1.4.1.tgz
NetBSD 8.0i386py38-dot-1.4.1.tgz
NetBSD 8.0i386py27-dot-1.4.1.tgz
NetBSD 8.0i386py36-dot-1.4.1.tgz
NetBSD 8.0i386py37-dot-1.4.1.tgz
NetBSD 8.0i386py38-dot-1.4.1.tgz
NetBSD 8.0i386py39-dot-1.4.1.tgz
NetBSD 8.0i386py27-dot-1.4.2.tgz
NetBSD 8.0i386py36-dot-1.4.2.tgz
NetBSD 8.0i386py37-dot-1.4.2.tgz
NetBSD 8.0i386py38-dot-1.4.2.tgz
NetBSD 8.0i386py39-dot-1.4.2.tgz
NetBSD 8.0x86_64py27-dot-1.4.1.tgz
NetBSD 8.0x86_64py36-dot-1.4.1.tgz
NetBSD 8.0x86_64py37-dot-1.4.1.tgz
NetBSD 8.0x86_64py38-dot-1.4.1.tgz
NetBSD 8.0x86_64py27-dot-1.4.1.tgz
NetBSD 8.0x86_64py36-dot-1.4.1.tgz
NetBSD 8.0x86_64py37-dot-1.4.1.tgz
NetBSD 8.0x86_64py38-dot-1.4.1.tgz
NetBSD 8.0x86_64py39-dot-1.4.1.tgz
NetBSD 9.0aarch64py27-dot-1.4.2.tgz
NetBSD 9.0aarch64py36-dot-1.4.2.tgz
NetBSD 9.0aarch64py37-dot-1.4.2.tgz
NetBSD 9.0aarch64py38-dot-1.4.2.tgz
NetBSD 9.0aarch64py39-dot-1.4.2.tgz
NetBSD 9.0aarch64py27-dot-1.4.1.tgz
NetBSD 9.0aarch64py36-dot-1.4.1.tgz
NetBSD 9.0aarch64py37-dot-1.4.1.tgz
NetBSD 9.0aarch64py38-dot-1.4.1.tgz
NetBSD 9.0aarch64py27-dot-1.4.1.tgz
NetBSD 9.0aarch64py36-dot-1.4.1.tgz
NetBSD 9.0aarch64py37-dot-1.4.1.tgz
NetBSD 9.0aarch64py38-dot-1.4.1.tgz
NetBSD 9.0aarch64py39-dot-1.4.1.tgz
NetBSD 9.0alphapy27-dot-1.4.1.tgz
NetBSD 9.0alphapy36-dot-1.4.1.tgz
NetBSD 9.0alphapy37-dot-1.4.1.tgz
NetBSD 9.0alphapy38-dot-1.4.1.tgz
NetBSD 9.0alphapy27-dot-1.4.1.tgz
NetBSD 9.0alphapy36-dot-1.4.1.tgz
NetBSD 9.0alphapy37-dot-1.4.1.tgz
NetBSD 9.0alphapy38-dot-1.4.1.tgz
NetBSD 9.0alphapy39-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy27-dot-1.4.2.tgz
NetBSD 9.0earmv6hfpy36-dot-1.4.2.tgz
NetBSD 9.0earmv6hfpy37-dot-1.4.2.tgz
NetBSD 9.0earmv6hfpy38-dot-1.4.2.tgz
NetBSD 9.0earmv6hfpy39-dot-1.4.2.tgz
NetBSD 9.0earmv6hfpy27-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy36-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy37-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy38-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy27-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy36-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy37-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy38-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy39-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy27-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy36-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy37-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy38-dot-1.4.1.tgz
NetBSD 9.0earmv6hfpy39-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy27-dot-1.4.2.tgz
NetBSD 9.0earmv7hfpy36-dot-1.4.2.tgz
NetBSD 9.0earmv7hfpy37-dot-1.4.2.tgz
NetBSD 9.0earmv7hfpy38-dot-1.4.2.tgz
NetBSD 9.0earmv7hfpy39-dot-1.4.2.tgz
NetBSD 9.0earmv7hfpy27-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy36-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy37-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy38-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy27-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy36-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy37-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy38-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy39-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy27-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy36-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy37-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy38-dot-1.4.1.tgz
NetBSD 9.0earmv7hfpy39-dot-1.4.1.tgz
NetBSD 9.0i386py27-dot-1.4.1.tgz
NetBSD 9.0i386py36-dot-1.4.1.tgz
NetBSD 9.0i386py37-dot-1.4.1.tgz
NetBSD 9.0i386py38-dot-1.4.1.tgz
NetBSD 9.0i386py27-dot-1.4.1.tgz
NetBSD 9.0i386py36-dot-1.4.1.tgz
NetBSD 9.0i386py37-dot-1.4.1.tgz
NetBSD 9.0i386py38-dot-1.4.1.tgz
NetBSD 9.0i386py39-dot-1.4.1.tgz
NetBSD 9.0i386py27-dot-1.4.2.tgz
NetBSD 9.0i386py36-dot-1.4.2.tgz
NetBSD 9.0i386py37-dot-1.4.2.tgz
NetBSD 9.0i386py38-dot-1.4.2.tgz
NetBSD 9.0i386py39-dot-1.4.2.tgz
NetBSD 9.0mips64ebpy27-dot-1.4.1.tgz
NetBSD 9.0mips64ebpy36-dot-1.4.1.tgz
NetBSD 9.0mips64ebpy37-dot-1.4.1.tgz
NetBSD 9.0mips64ebpy38-dot-1.4.1.tgz
NetBSD 9.0mips64ebpy39-dot-1.4.1.tgz
NetBSD 9.0sparc64py27-dot-1.4.1.tgz
NetBSD 9.0sparc64py36-dot-1.4.1.tgz
NetBSD 9.0sparc64py37-dot-1.4.1.tgz
NetBSD 9.0sparc64py38-dot-1.4.1.tgz
NetBSD 9.0sparc64py27-dot-1.4.1.tgz
NetBSD 9.0sparc64py36-dot-1.4.1.tgz
NetBSD 9.0sparc64py37-dot-1.4.1.tgz
NetBSD 9.0sparc64py38-dot-1.4.1.tgz
NetBSD 9.0sparc64py39-dot-1.4.1.tgz
NetBSD 9.0x86_64py27-dot-1.4.1.tgz
NetBSD 9.0x86_64py36-dot-1.4.1.tgz
NetBSD 9.0x86_64py37-dot-1.4.1.tgz
NetBSD 9.0x86_64py38-dot-1.4.1.tgz
NetBSD 9.0x86_64py39-dot-1.4.1.tgz
NetBSD 9.0x86_64py27-dot-1.4.1.tgz
NetBSD 9.0x86_64py36-dot-1.4.1.tgz
NetBSD 9.0x86_64py37-dot-1.4.1.tgz
NetBSD 9.0x86_64py38-dot-1.4.1.tgz
NetBSD 9.0x86_64py39-dot-1.4.1.tgz
NetBSD 9.0x86_64py27-dot-1.4.1.tgz
NetBSD 9.0x86_64py36-dot-1.4.1.tgz
NetBSD 9.0x86_64py37-dot-1.4.1.tgz
NetBSD 9.0x86_64py38-dot-1.4.1.tgz
NetBSD 9.0x86_64py39-dot-1.4.1.tgz
NetBSD 9.0x86_64py27-dot-1.4.1.tgz
NetBSD 9.0x86_64py36-dot-1.4.1.tgz
NetBSD 9.0x86_64py37-dot-1.4.1.tgz
NetBSD 9.0x86_64py38-dot-1.4.1.tgz
NetBSD 9.0x86_64py27-dot-1.4.1.tgz
NetBSD 9.0x86_64py36-dot-1.4.1.tgz
NetBSD 9.0x86_64py37-dot-1.4.1.tgz
NetBSD 9.0x86_64py38-dot-1.4.1.tgz
NetBSD 9.0x86_64py39-dot-1.4.1.tgz
NetBSD 9.0x86_64py27-dot-1.4.2.tgz
NetBSD 9.0x86_64py36-dot-1.4.2.tgz
NetBSD 9.0x86_64py37-dot-1.4.2.tgz
NetBSD 9.0x86_64py38-dot-1.4.2.tgz
NetBSD 9.0x86_64py39-dot-1.4.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.